Page MenuHomePhabricator

Lists of valid namespace numbers on autogenerated API help pages are not sorted
Closed, ResolvedPublic

Description

Lists of valid namespace numbers on autogenerated API help pages are sorted alphabetically, not numerically.

For example, on https://en.wikipedia.org/w/api.php?action=help&recursivesubmodules=1, a number of modules specify that the valid values are "0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 2300, 2301, 2302, 2303, 100, 101, 108, 109, 118, 119, 710, 711, 446, 447, 2600, 828, 829". I think it would be much neater formatted as "0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 100, 101, 108, 109, 118, 119, 446, 447, 710, 711, 828, 829, 2300, 2301, 2302, 2303, 2600".

Event Timeline

matmarex created this task.Aug 14 2015, 9:14 PM
matmarex raised the priority of this task from to Low.
matmarex updated the task description. (Show Details)
matmarex added a project: MediaWiki-API.
matmarex added a subscriber: matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 14 2015, 9:14 PM
Anomie renamed this task from Lists of valid namespace numbers on autogenerated API help pages are sorted alphabetically, not numerically to Lists of valid namespace numbers on autogenerated API help pages are not sorted alphabetically.Aug 15 2015, 10:59 PM
Anomie renamed this task from Lists of valid namespace numbers on autogenerated API help pages are not sorted alphabetically to Lists of valid namespace numbers on autogenerated API help pages are not sorted.
Anomie set Security to None.
Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.
Anomie added a project: good first bug.

Change 243870 had a related patch set uploaded (by BryanDavis):
Sort MWNamespace::getValidNamespaces list numerically

https://gerrit.wikimedia.org/r/243870

bd808 claimed this task.Oct 6 2015, 4:14 AM
bd808 moved this task from Needs Code to Needs Review on the MediaWiki-API board.

Change 243870 merged by jenkins-bot:
Sort MWNamespace::getValidNamespaces list numerically

https://gerrit.wikimedia.org/r/243870

Anomie closed this task as Resolved.Oct 6 2015, 6:55 PM
Anomie added a subscriber: Anomie.